Upstream pull-request: https://github.com/MycroftAI/mimic1/pull/199

diff --git a/src/hts/hts_engine_API/lib/HTS_misc.c b/src/hts/hts_engine_API/lib/HTS_misc.c
index 72306cb..afcaaec 100644
--- a/src/hts/hts_engine_API/lib/HTS_misc.c
+++ b/src/hts/hts_engine_API/lib/HTS_misc.c
@@ -247,8 +247,10 @@ size_t HTS_ftell(HTS_File * fp)
       fgetpos((FILE *) fp->pointer, &pos);
 #if defined(_WIN32) || defined(__CYGWIN__) || defined(__APPLE__) || defined(__ANDROID__)
       return (size_t) pos;
-#else
+#elif defined(__GLIBC__)
       return (size_t) pos.__pos;
+#else
+      return (size_t) ftell(fp->pointer);
 #endif                          /* _WIN32 || __CYGWIN__ || __APPLE__ || __ANDROID__ */
    } else if (fp->type == HTS_DATA) {
       HTS_Data *d = (HTS_Data *) fp->pointer;
diff --git a/src/utils/cst_tokenstream.c b/src/utils/cst_tokenstream.c
index 7c6ecdb..c3b27e5 100644
--- a/src/utils/cst_tokenstream.c
+++ b/src/utils/cst_tokenstream.c
@@ -705,7 +705,7 @@ static void get_token_sub_part_2(cst_tokenstream *ts,
 
 static void get_token_postpunctuation(cst_tokenstream *ts)
 {
-    int p, t, plast;
+    int p, t, plast = 0;
     const cst_string *one_cp;
 
     t = cst_strlen(ts->token);
